package cn.cecep.talroad.vo.query;

import cn.cecep.talroad.common.core.domain.query.PageQuery;
import cn.cecep.talroad.domain.MonDevReal;
import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 设备数据(有组织)-实时 保存有组织设备的实时数据。p1~pn字段对应各设备的生产过程类参数对象 mon_dev_real
 *
 * @author szhpt
 * @date 2023-01-10*/
@ApiModel(value = "设备数据(有组织)-实时 保存有组织设备的实时数据。p1~pn字段对应各设备的生产过程类参数")
@EqualsAndHashCode(callSuper = false)
@Data
public class MonDevRealQuery extends PageQuery
{

    @ApiModelProperty(value = "数据ID")
    private Long dataId;
    @ApiModelProperty(value = "企业ID 冗余")
    private String factoryId;
    @ApiModelProperty(value = "设备ID")
    private String deviceId;
    @ApiModelProperty(value = "时间类型 枚举。总为“实时”")
    private String timeType;
    @ApiModelProperty(value = "数据时间")
    private String dataTime;
    @ApiModelProperty(value = "装煤时间")
    private String zmTime;
    @ApiModelProperty(value = "推焦时间")
    private String tmTime;
    @ApiModelProperty(value = "生产过程参数1 含义因设备而异")
    private String p1;
    @ApiModelProperty(value = "生产过程参数2 含义因设备而异")
    private String p2;
    @ApiModelProperty(value = "生产过程参数3 含义因设备而异")
    private String p3;
    @ApiModelProperty(value = "生产过程参数4 含义因设备而异")
    private String p4;
    @ApiModelProperty(value = "烟气流量-in")
    private String flowIn;
    @ApiModelProperty(value = "温度-in")
    private String tempIn;
    @ApiModelProperty(value = "NOx-in")
    private String noxIn;
    @ApiModelProperty(value = "颗粒物-in")
    private String pmIn;
    @ApiModelProperty(value = "SO2-in")
    private String so2In;
    @ApiModelProperty(value = "烟气流量-out")
    private String flowOut;
    @ApiModelProperty(value = "温度-out")
    private String tempOut;
    @ApiModelProperty(value = "NOx-out")
    private String noxOut;
    @ApiModelProperty(value = "含氧量-out")
    private String o2Out;
    @ApiModelProperty(value = "颗粒物-out")
    private String pmOut;
    @ApiModelProperty(value = "SO2-out")
    private String so2Out;
    @ApiModelProperty(value = "数据标志")
    private String flowInFlag;
    @ApiModelProperty(value = "数据标志")
    private String tempInFlag;
    @ApiModelProperty(value = "数据标志")
    private String noxInFlag;
    @ApiModelProperty(value = "数据标志")
    private String pmInFlag;
    @ApiModelProperty(value = "数据标志")
    private String so2InFlag;
    @ApiModelProperty(value = "数据标志")
    private String flowOutFlag;
    @ApiModelProperty(value = "数据标志")
    private String tempOutFlag;
    @ApiModelProperty(value = "数据标志")
    private String noxOutFlag;
    @ApiModelProperty(value = "数据标志")
    private String o2OutFlag;
    @ApiModelProperty(value = "数据标志")
    private String pmOutFlag;
    @ApiModelProperty(value = "数据标志")
    private String so2OutFlag;
    @ApiModelProperty(value = "脱硫剂使用量")
    private String tljVol;
    @ApiModelProperty(value = "脱硝剂使用量")
    private String txjVol;
    @ApiModelProperty(value = "SO2-除尘1")
    private String so2Cc1;
    @ApiModelProperty(value = "颗粒物-除尘1")
    private String pmCc1;
    @ApiModelProperty(value = "风机电流-除尘1")
    private String windElecCc1;
    @ApiModelProperty(value = "除尘器风量-除尘1")
    private String windVolCc1;
    @ApiModelProperty(value = "SO2-除尘2")
    private String so2Cc2;
    @ApiModelProperty(value = "颗粒物-除尘2")
    private String pmCc2;
    @ApiModelProperty(value = "风机电流-除尘2")
    private String windElecCc2;
    @ApiModelProperty(value = "除尘器风量-除尘2")
    private String windVolCc2;
    @ApiModelProperty(value = "风机电流-除尘3")
    private String windElecCc3;
    @ApiModelProperty(value = "煤气参数3 含义因设备而异")
    private String mq1;
    @ApiModelProperty(value = "煤气参数2 含义因设备而异")
    private String mq2;
    @ApiModelProperty(value = "煤气参数1 含义因设备而异")
    private String mq3;
    @ApiModelProperty(value = "煤气参数4 含义因设备而异")
    private String mq4;
    @ApiModelProperty(value = "煤气参数5 含义因设备而异")
    private String mq5;
    @ApiModelProperty(value = "煤气参数6 含义因设备而异")
    private String mq6;
    @ApiModelProperty(value = "脱硫剂仓料（液）位")
    private String g141;
    @ApiModelProperty(value = "脱硝剂仓料（液）位")
    private String g314;
    @ApiModelProperty(value = "反应器入口烟气温度（SCR工艺）")
    private String g329;
    @ApiModelProperty(value = "静电除尘器一次电压")
    private String g501;
    @ApiModelProperty(value = "静电除尘器一次电流")
    private String g502;
    @ApiModelProperty(value = "静电除尘器二次电压")
    private String g503;
    @ApiModelProperty(value = "静电除尘器二次电流")
    private String g504;
    @ApiModelProperty(value = "压差")
    private String g601;
    @ApiModelProperty(value = "清灰周期")
    private String g605;
    @ApiModelProperty(value = "电机电流")
    private String g606;
    @ApiModelProperty(value = "风门开度")
    private String g912;
    @ApiModelProperty(value = "烧结矿产量")
    private String g914;
    @ApiModelProperty(value = "皮带秤作业时间")
    private String g915;
    @ApiModelProperty(value = "皮带秤配料量")
    private String g916;
    @ApiModelProperty(value = "料层厚度")
    private String g917;
    @ApiModelProperty(value = "燃料（煤气）流量")
    private String g921;
    @ApiModelProperty(value = "矿槽称量漏斗作业时间")
    private String g926;
    @ApiModelProperty(value = "矿槽称量漏斗装料量")
    private String g927;
    @ApiModelProperty(value = "出铁时间")
    private String g928;
    @ApiModelProperty(value = "出铁量")
    private String g929;
    @ApiModelProperty(value = "热风炉鼓风量")
    private String g930;
    @ApiModelProperty(value = "出铁量")
    private String g931;
    @ApiModelProperty(value = "煤气使用量")
    private String g932;
    @ApiModelProperty(value = "加料时间")
    private String g935;
    @ApiModelProperty(value = "加铁水量")
    private String g936;
    @ApiModelProperty(value = "加废钢量")
    private String g937;
    @ApiModelProperty(value = "出钢量")
    private String g938;
    @ApiModelProperty(value = "出渣量")
    private String g939;
    @ApiModelProperty(value = "石灰窑温度")
    private String g941;
    @ApiModelProperty(value = "主蒸汽流量")
    private String g942;
    @ApiModelProperty(value = "高炉煤气")
    private String g944;
    @ApiModelProperty(value = "锅炉累计运行小时数")
    private String g945;
    @ApiModelProperty(value = "转炉煤气")
    private String g993;
    @ApiModelProperty(value = "焦炉煤气")
    private String g994;
    @ApiModelProperty(value = "其它燃料量")
    private String g995;
    @ApiModelProperty(value = "干法脱硫剂使用量")
    private String gb08;
    @ApiModelProperty(value = "半干发脱硫剂使用量")
    private String gb09;
    @ApiModelProperty(value = "附加参数 JSON。格式类似：{{pmIn:{02:12,03:23},...}")
    private String addiParam;
    @ApiModelProperty(value = "烟气-排放量")
    private String flowOutTotal;
    @ApiModelProperty(value = "NOx-排放量")
    private String noxOutTotal;
    @ApiModelProperty(value = "氧气-排放量")
    private String o2OutTotal;
    @ApiModelProperty(value = "颗粒物-排放量")
    private String pmOutTotal;
    @ApiModelProperty(value = "SO2-排放量")
    private String so2OutTotal;
    @ApiModelProperty(value = "转炉-产量 =炉数*容量")
    private String zlProduct;
    @ApiModelProperty(value = "更新时间")
    private String updateTime;
    @ApiModelProperty(value = "创建时间")
    private String createTime;
    @ApiModelProperty(value = "除尘器风量")
    private String a140;
    @ApiModelProperty(value = "风机电流")
    private String a141;
    @ApiModelProperty(value = "煤气使用量")
    private String b104;
    @ApiModelProperty(value = "脱硝剂使用量")
    private String g313;
    @ApiModelProperty(value = "脱硝入口压力")
    private String g318;
    @ApiModelProperty(value = "脱硝出口压力")
    private String g325;
    @ApiModelProperty(value = "风机流量")
    private String g330;
    @ApiModelProperty(value = "风机电流")
    private String g604;
    @ApiModelProperty(value = "燃料瞬时流量")
    private String g943;
    @ApiModelProperty(value = "装煤量")
    private String g952;
    @ApiModelProperty(value = "提升机作业时间")
    private String g956;
    @ApiModelProperty(value = "装载量")
    private String g957;
    @ApiModelProperty(value = "提升机电流")
    private String g958;
    @ApiModelProperty(value = "地面放散口压力")
    private String g961;
    @ApiModelProperty(value = "火炬点火器启动记录")
    private String g962;
    @ApiModelProperty(value = "硫酸使用量")
    private String g963;
    @ApiModelProperty(value = "洗油使用量")
    private String g964;
    @ApiModelProperty(value = "脱苯塔塔顶回流量")
    private String g965;
    @ApiModelProperty(value = "粗苯外送量")
    private String g966;
    @ApiModelProperty(value = "塔釜温度")
    private String g967;
    @ApiModelProperty(value = "洗油外送量")
    private String g968;
    @ApiModelProperty(value = "压力")
    private String g969;
    @ApiModelProperty(value = "液位")
    private String g970;
    @ApiModelProperty(value = "负压煤气管网压力")
    private String g971;
    @ApiModelProperty(value = "（风机后）煤气管压力")
    private String g972;
    @ApiModelProperty(value = "外供煤气流量")
    private String g973;
    @ApiModelProperty(value = "煤气柜容量")
    private String g974;
    @ApiModelProperty(value = "气柜高度")
    private String g975;
    @ApiModelProperty(value = "气柜压力")
    private String g976;
    @ApiModelProperty(value = "水封液位高度")
    private String g977;
    @ApiModelProperty(value = "压力")
    private String g978;
    @ApiModelProperty(value = "流量")
    private String g979;
    @ApiModelProperty(value = "火炬点火器启动记录")
    private String g980;
    @ApiModelProperty(value = "液位")
    private String g981;
    @ApiModelProperty(value = "温度")
    private String g982;
    @ApiModelProperty(value = "碱洗塔碱液使用量")
    private String gb11;
    @ApiModelProperty(value = "酸洗塔酸液使用量")
    private String gb12;
    @ApiModelProperty(value = "洗油塔洗油使用量")
    private String gb13;
    @ApiModelProperty(value = "颗粒物")
    private String h959;
    @ApiModelProperty(value = "二氧化硫")
    private String h960;
    /**
     *
     * @Title: getQueryWrapper
     * @Description: 查询参数组装
     * @param: @return
     * @return: QueryWrapper<BasIndustry>
     * @throws
     */
    public static QueryWrapper<MonDevReal> createLambdaQueryWrapper(MonDevRealQuery query) {
        QueryWrapper<MonDevReal> wrapper = new QueryWrapper<>();
        wrapper.eq(ObjectUtil.isNotNull(query.getDataId()), "data_id", query.getDataId());
        wrapper.eq(ObjectUtil.isNotNull(query.getFactoryId()), "factory_id", query.getFactoryId());
        wrapper.eq(ObjectUtil.isNotNull(query.getDeviceId()), "device_id", query.getDeviceId());
        wrapper.eq(ObjectUtil.isNotNull(query.getTimeType()), "time_type", query.getTimeType());
        wrapper.eq(ObjectUtil.isNotNull(query.getDataTime()), "data_time", query.getDataTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getZmTime()), "zm_time", query.getZmTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getTmTime()), "tm_time", query.getTmTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getP1()), "p1", query.getP1());
        wrapper.eq(ObjectUtil.isNotNull(query.getP2()), "p2", query.getP2());
        wrapper.eq(ObjectUtil.isNotNull(query.getP3()), "p3", query.getP3());
        wrapper.eq(ObjectUtil.isNotNull(query.getP4()), "p4", query.getP4());
        wrapper.eq(ObjectUtil.isNotNull(query.getFlowIn()), "flow_in", query.getFlowIn());
        wrapper.eq(ObjectUtil.isNotNull(query.getTempIn()), "temp_in", query.getTempIn());
        wrapper.eq(ObjectUtil.isNotNull(query.getNoxIn()), "nox_in", query.getNoxIn());
        wrapper.eq(ObjectUtil.isNotNull(query.getPmIn()), "pm_in", query.getPmIn());
        wrapper.eq(ObjectUtil.isNotNull(query.getSo2In()), "so2_in", query.getSo2In());
        wrapper.eq(ObjectUtil.isNotNull(query.getFlowOut()), "flow_out", query.getFlowOut());
        wrapper.eq(ObjectUtil.isNotNull(query.getTempOut()), "temp_out", query.getTempOut());
        wrapper.eq(ObjectUtil.isNotNull(query.getNoxOut()), "nox_out", query.getNoxOut());
        wrapper.eq(ObjectUtil.isNotNull(query.getO2Out()), "o2_out", query.getO2Out());
        wrapper.eq(ObjectUtil.isNotNull(query.getPmOut()), "pm_out", query.getPmOut());
        wrapper.eq(ObjectUtil.isNotNull(query.getSo2Out()), "so2_out", query.getSo2Out());
        wrapper.eq(ObjectUtil.isNotNull(query.getTljVol()), "tlj_vol", query.getTljVol());
        wrapper.eq(ObjectUtil.isNotNull(query.getTxjVol()), "txj_vol", query.getTxjVol());
        wrapper.eq(ObjectUtil.isNotNull(query.getSo2Cc1()), "so2_cc1", query.getSo2Cc1());
        wrapper.eq(ObjectUtil.isNotNull(query.getPmCc1()), "pm_cc1", query.getPmCc1());
        wrapper.eq(ObjectUtil.isNotNull(query.getWindElecCc1()), "wind_elec_cc1", query.getWindElecCc1());
        wrapper.eq(ObjectUtil.isNotNull(query.getWindVolCc1()), "wind_vol_cc1", query.getWindVolCc1());
        wrapper.eq(ObjectUtil.isNotNull(query.getSo2Cc2()), "so2_cc2", query.getSo2Cc2());
        wrapper.eq(ObjectUtil.isNotNull(query.getPmCc2()), "pm_cc2", query.getPmCc2());
        wrapper.eq(ObjectUtil.isNotNull(query.getWindElecCc2()), "wind_elec_cc2", query.getWindElecCc2());
        wrapper.eq(ObjectUtil.isNotNull(query.getWindVolCc2()), "wind_vol_cc2", query.getWindVolCc2());
        wrapper.eq(ObjectUtil.isNotNull(query.getWindElecCc3()), "wind_elec_cc3", query.getWindElecCc3());
        wrapper.eq(ObjectUtil.isNotNull(query.getMq1()), "mq1", query.getMq1());
        wrapper.eq(ObjectUtil.isNotNull(query.getMq2()), "mq2", query.getMq2());
        wrapper.eq(ObjectUtil.isNotNull(query.getMq3()), "mq3", query.getMq3());
        wrapper.eq(ObjectUtil.isNotNull(query.getMq4()), "mq4", query.getMq4());
        wrapper.eq(ObjectUtil.isNotNull(query.getMq5()), "mq5", query.getMq5());
        wrapper.eq(ObjectUtil.isNotNull(query.getMq6()), "mq6", query.getMq6());
        wrapper.eq(ObjectUtil.isNotNull(query.getG141()), "g141", query.getG141());
        wrapper.eq(ObjectUtil.isNotNull(query.getG314()), "g314", query.getG314());
        wrapper.eq(ObjectUtil.isNotNull(query.getG329()), "g329", query.getG329());
        wrapper.eq(ObjectUtil.isNotNull(query.getG501()), "g501", query.getG501());
        wrapper.eq(ObjectUtil.isNotNull(query.getG502()), "g502", query.getG502());
        wrapper.eq(ObjectUtil.isNotNull(query.getG503()), "g503", query.getG503());
        wrapper.eq(ObjectUtil.isNotNull(query.getG504()), "g504", query.getG504());
        wrapper.eq(ObjectUtil.isNotNull(query.getG601()), "g601", query.getG601());
        wrapper.eq(ObjectUtil.isNotNull(query.getG605()), "g605", query.getG605());
        wrapper.eq(ObjectUtil.isNotNull(query.getG606()), "g606", query.getG606());
        wrapper.eq(ObjectUtil.isNotNull(query.getG912()), "g912", query.getG912());
        wrapper.eq(ObjectUtil.isNotNull(query.getG914()), "g914", query.getG914());
        wrapper.eq(ObjectUtil.isNotNull(query.getG915()), "g915", query.getG915());
        wrapper.eq(ObjectUtil.isNotNull(query.getG916()), "g916", query.getG916());
        wrapper.eq(ObjectUtil.isNotNull(query.getG917()), "g917", query.getG917());
        wrapper.eq(ObjectUtil.isNotNull(query.getG921()), "g921", query.getG921());
        wrapper.eq(ObjectUtil.isNotNull(query.getG926()), "g926", query.getG926());
        wrapper.eq(ObjectUtil.isNotNull(query.getG927()), "g927", query.getG927());
        wrapper.eq(ObjectUtil.isNotNull(query.getG928()), "g928", query.getG928());
        wrapper.eq(ObjectUtil.isNotNull(query.getG929()), "g929", query.getG929());
        wrapper.eq(ObjectUtil.isNotNull(query.getG930()), "g930", query.getG930());
        wrapper.eq(ObjectUtil.isNotNull(query.getG931()), "g931", query.getG931());
        wrapper.eq(ObjectUtil.isNotNull(query.getG932()), "g932", query.getG932());
        wrapper.eq(ObjectUtil.isNotNull(query.getG935()), "g935", query.getG935());
        wrapper.eq(ObjectUtil.isNotNull(query.getG936()), "g936", query.getG936());
        wrapper.eq(ObjectUtil.isNotNull(query.getG937()), "g937", query.getG937());
        wrapper.eq(ObjectUtil.isNotNull(query.getG938()), "g938", query.getG938());
        wrapper.eq(ObjectUtil.isNotNull(query.getG939()), "g939", query.getG939());
        wrapper.eq(ObjectUtil.isNotNull(query.getG941()), "g941", query.getG941());
        wrapper.eq(ObjectUtil.isNotNull(query.getG942()), "g942", query.getG942());
        wrapper.eq(ObjectUtil.isNotNull(query.getG944()), "g944", query.getG944());
        wrapper.eq(ObjectUtil.isNotNull(query.getG945()), "g945", query.getG945());
        wrapper.eq(ObjectUtil.isNotNull(query.getG993()), "g993", query.getG993());
        wrapper.eq(ObjectUtil.isNotNull(query.getG994()), "g994", query.getG994());
        wrapper.eq(ObjectUtil.isNotNull(query.getG995()), "g995", query.getG995());
        wrapper.eq(ObjectUtil.isNotNull(query.getGb08()), "gb08", query.getGb08());
        wrapper.eq(ObjectUtil.isNotNull(query.getGb09()), "gb09", query.getGb09());
        wrapper.eq(ObjectUtil.isNotNull(query.getFlowInFlag()), "flow_in_flag", query.getFlowInFlag());
        wrapper.eq(ObjectUtil.isNotNull(query.getTempInFlag()), "temp_in_flag", query.getTempInFlag());
        wrapper.eq(ObjectUtil.isNotNull(query.getNoxInFlag()), "nox_in_flag", query.getNoxInFlag());
        wrapper.eq(ObjectUtil.isNotNull(query.getPmInFlag()), "pm_in_flag", query.getPmInFlag());
        wrapper.eq(ObjectUtil.isNotNull(query.getSo2InFlag()), "so2_in_flag", query.getSo2InFlag());
        wrapper.eq(ObjectUtil.isNotNull(query.getFlowOutFlag()), "flow_out_flag", query.getFlowOutFlag());
        wrapper.eq(ObjectUtil.isNotNull(query.getTempOutFlag()), "temp_out_flag", query.getTempOutFlag());
        wrapper.eq(ObjectUtil.isNotNull(query.getNoxOutFlag()), "nox_out_flag", query.getNoxOutFlag());
        wrapper.eq(ObjectUtil.isNotNull(query.getO2OutFlag()), "o2_out_flag", query.getO2OutFlag());
        wrapper.eq(ObjectUtil.isNotNull(query.getPmOutFlag()), "pm_out_flag", query.getPmOutFlag());
        wrapper.eq(ObjectUtil.isNotNull(query.getSo2OutFlag()), "so2_out_flag", query.getSo2OutFlag());
        wrapper.eq(ObjectUtil.isNotNull(query.getAddiParam()), "addi_param", query.getAddiParam());
        wrapper.eq(ObjectUtil.isNotNull(query.getFlowOutTotal()), "flow_out_total", query.getFlowOutTotal());
        wrapper.eq(ObjectUtil.isNotNull(query.getNoxOutTotal()), "nox_out_total", query.getNoxOutTotal());
        wrapper.eq(ObjectUtil.isNotNull(query.getO2OutTotal()), "o2_out_total", query.getO2OutTotal());
        wrapper.eq(ObjectUtil.isNotNull(query.getPmOutTotal()), "pm_out_total", query.getPmOutTotal());
        wrapper.eq(ObjectUtil.isNotNull(query.getSo2OutTotal()), "so2_out_total", query.getSo2OutTotal());
        wrapper.eq(ObjectUtil.isNotNull(query.getZlProduct()), "zl_product", query.getZlProduct());
        wrapper.eq(ObjectUtil.isNotNull(query.getUpdateTime()), "update_time", query.getUpdateTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getCreateTime()), "create_time", query.getCreateTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getA140()), "a140", query.getA140());
        wrapper.eq(ObjectUtil.isNotNull(query.getA141()), "a141", query.getA141());
        wrapper.eq(ObjectUtil.isNotNull(query.getB104()), "b104", query.getB104());
        wrapper.eq(ObjectUtil.isNotNull(query.getG313()), "g313", query.getG313());
        wrapper.eq(ObjectUtil.isNotNull(query.getG318()), "g318", query.getG318());
        wrapper.eq(ObjectUtil.isNotNull(query.getG325()), "g325", query.getG325());
        wrapper.eq(ObjectUtil.isNotNull(query.getG330()), "g330", query.getG330());
        wrapper.eq(ObjectUtil.isNotNull(query.getG604()), "g604", query.getG604());
        wrapper.eq(ObjectUtil.isNotNull(query.getG943()), "g943", query.getG943());
        wrapper.eq(ObjectUtil.isNotNull(query.getG952()), "g952", query.getG952());
        wrapper.eq(ObjectUtil.isNotNull(query.getG956()), "g956", query.getG956());
        wrapper.eq(ObjectUtil.isNotNull(query.getG957()), "g957", query.getG957());
        wrapper.eq(ObjectUtil.isNotNull(query.getG958()), "g958", query.getG958());
        wrapper.eq(ObjectUtil.isNotNull(query.getG961()), "g961", query.getG961());
        wrapper.eq(ObjectUtil.isNotNull(query.getG962()), "g962", query.getG962());
        wrapper.eq(ObjectUtil.isNotNull(query.getG963()), "g963", query.getG963());
        wrapper.eq(ObjectUtil.isNotNull(query.getG964()), "g964", query.getG964());
        wrapper.eq(ObjectUtil.isNotNull(query.getG965()), "g965", query.getG965());
        wrapper.eq(ObjectUtil.isNotNull(query.getG966()), "g966", query.getG966());
        wrapper.eq(ObjectUtil.isNotNull(query.getG967()), "g967", query.getG967());
        wrapper.eq(ObjectUtil.isNotNull(query.getG968()), "g968", query.getG968());
        wrapper.eq(ObjectUtil.isNotNull(query.getG969()), "g969", query.getG969());
        wrapper.eq(ObjectUtil.isNotNull(query.getG970()), "g970", query.getG970());
        wrapper.eq(ObjectUtil.isNotNull(query.getG971()), "g971", query.getG971());
        wrapper.eq(ObjectUtil.isNotNull(query.getG972()), "g972", query.getG972());
        wrapper.eq(ObjectUtil.isNotNull(query.getG973()), "g973", query.getG973());
        wrapper.eq(ObjectUtil.isNotNull(query.getG974()), "g974", query.getG974());
        wrapper.eq(ObjectUtil.isNotNull(query.getG975()), "g975", query.getG975());
        wrapper.eq(ObjectUtil.isNotNull(query.getG976()), "g976", query.getG976());
        wrapper.eq(ObjectUtil.isNotNull(query.getG977()), "g977", query.getG977());
        wrapper.eq(ObjectUtil.isNotNull(query.getG978()), "g978", query.getG978());
        wrapper.eq(ObjectUtil.isNotNull(query.getG979()), "g979", query.getG979());
        wrapper.eq(ObjectUtil.isNotNull(query.getG980()), "g980", query.getG980());
        wrapper.eq(ObjectUtil.isNotNull(query.getG981()), "g981", query.getG981());
        wrapper.eq(ObjectUtil.isNotNull(query.getG982()), "g982", query.getG982());
        wrapper.eq(ObjectUtil.isNotNull(query.getGb11()), "gb11", query.getGb11());
        wrapper.eq(ObjectUtil.isNotNull(query.getGb12()), "gb12", query.getGb12());
        wrapper.eq(ObjectUtil.isNotNull(query.getGb13()), "gb13", query.getGb13());
        wrapper.eq(ObjectUtil.isNotNull(query.getH959()), "h959", query.getH959());
        wrapper.eq(ObjectUtil.isNotNull(query.getH960()), "h960", query.getH960());
        return wrapper;
        }
}
